//
// FastFindOptions.h
//

#ifndef inc_FastFindOptions_h
#define inc_FastFindOptions_h

#include "vgui\Dialog.h"
#include "vgui\EditBox.h"
#include "vgui\Slider.h"
#include "vgui\ResourceID.h"
#include "vgui\AutoPrefCheckBox.h"

#include "vos\FileSpec.h"

class FileMover;

//
// The preference name for the auto-wildcard option.
//
#define kOption_AutoWildcard ("Options.AutoWildcards")

/**************************************************************************

>	class FastFindOptions : public vgui::Dialog

	Author:		Tim Browse

	Purpose:	Options dialog for FastFind.

**************************************************************************/

class FastFindOptions : public vgui::Dialog
{
	DECLARE_VGUI_MESSAGE_MAP();

	public:
		FastFindOptions(vgui::Window* pParent);

	public:
		virtual void OnInitDialog();

		void OnOK();
		bool OnBrowse();
		bool OnMaxResultsChange();

	private:
		void ReportProblem(FileMover* pMover, const vgui::StringResourceID& rMsg);

		void UpdateMaxResults();
		
	private:
		// The dialog controls
		vgui::EditBox m_ctlIndexLocation;
		vgui::Slider  m_ctlMaxResultsSlider;
		vgui::Window  m_ctlMaxResultsText;
		vgui::AutoPrefCheckBox m_AutoWildcards;
};

#endif //!inc_FastFindOptions_h
