//
// IndexSearcher.h
//

#ifndef inc_IndexSearcher_h
#define inc_IndexSearcher_h

#include "vgui\JobWorker.h"

#include "FileIndex.h"

#include <boost/regex.hpp>

class IndexSearcher : public vgui::JobWorker
{
	public:
		IndexSearcher();

		bool Init(FileIndex* pIndex,
				  vos::String strPattern, 
				  bool bUseRegExp,
				  bool bAutoWildcard);

		// Do a block of work, and let the ProgressDialog know how much of
		// the work has been completed so far, and whether the work has
		// been finished or not.
		virtual vgui::TJobStatus DoWork(vgui::JobController* pJobController,
										int* pPercentComplete);

	private:
		vos::String MakeRegularExpression(const vos::String& Pattern);

	private:
		// The index we will search
		FileIndex* m_pIndex;

		// The regexp to search for
		boost::RegEx RegExp;

		// Current state of search
		int m_iEntry;
};

#endif // !inc_IndexSearcher_h
