//
// SearchResultsList.h - a list control to display search results
//

#ifndef inc_SearchResultsList_h
#define inc_SearchResultsList_h

#include "vgui\OwnerDrawListBox.h"
#include "vgui\Icon.h"

class FileIndex;

/**************************************************************************

>	class SearchResultsList : public vgui::ListBox

	Author:		Tim Browse

	Date:		29/04/2001

	Purpose:	A list control to display search results.

**************************************************************************/

class SearchResultsList : public vgui::ListBox
{
	public:
		SearchResultsList();

		void ClearContents();
		void SetContents(FileIndex* pIndex);

		// Hook the initialisation
		virtual void Attach(vgui::Window *pParent,
							vgui::ControlID ID);

		// Access the search results
		bool GetSelectedFolder(vos::FileSpec* pfsFolder);

	public:
#if 0
		// Usual owner-draw interface.
		virtual bool OnDrawItem(vgui::GC* pGC, 
								int iItem,
								vgui::UserData TheUserData,
								const vgui::Rect& rcItem,
								int OwnerDrawItemState);

		virtual bool OnMeasureItem(int iItem, 
								   vgui::UserData TheUserData, 
								   uint* pItemHeight);
#endif
		
	private:
		static int CompareFileSizes(const vgui::ListControl* pListControl, 
									vgui::UserData TheUserData,
									int iItem1, int iItem2, 
									int iColumn);

		static int CompareTimestamps(const vgui::ListControl* pListControl, 
									 vgui::UserData TheUserData,
									 int iItem1, int iItem2, 
									 int iColumn);
		
	private:
		// The index whose search results we are displaying.
		FileIndex* m_pIndex;

		// Icons - used for list item redraw
		vgui::Icon m_FolderIcon;
		vgui::Icon m_FileIcon;
};

#endif // !inc_SearchResultsList_h
